# Uses of Interface
org.apache.solr.common.ConfigNode

Packages that use ConfigNode
Package
Description
org.apache.solr.common
Common classes reused on both clients & server for dealing with `documents to be indexed` and `result documents`.

## Uses of ConfigNode in org.apache.solr.common

Fields in org.apache.solr.common declared as ConfigNode
Modifier and Type
Field
Description
`static final ConfigNode`
ConfigNode.`EMPTY`
An empty node object.
Methods in org.apache.solr.common that return ConfigNode
Modifier and Type
Method
Description
`default ConfigNode`
ConfigNode.`child(String name)`
Child by name
`default ConfigNode`
ConfigNode.`child(String name, Predicate<ConfigNode> test)`
Iterate through child nodes with the tag/element name and return the first matching
`default ConfigNode`
ConfigNode.`childRequired(String name, Supplier<RuntimeException> err)`
`default ConfigNode`
ConfigNode.`get(String name)`
Child by name or return an empty node if null.
`default ConfigNode`
ConfigNode.`get(String name, int idx)`
`default ConfigNode`
ConfigNode.`get(String name, Predicate<ConfigNode> test)`
Methods in org.apache.solr.common that return types with arguments of type ConfigNode
Modifier and Type
Method
Description
`static Predicate<ConfigNode>`
ConfigNode.Helpers.`at(int i)`
`default List<ConfigNode>`
ConfigNode.`getAll(String name)`
A list of all child nodes with the tag/element name.
`default List<ConfigNode>`
ConfigNode.`getAll(Set<String> names, Predicate<ConfigNode> test)`
Iterate through child nodes with the names and return all the matching children
Method parameters in org.apache.solr.common with type arguments of type ConfigNode
Modifier and Type
Method
Description
`default ConfigNode`
ConfigNode.`child(String name, Predicate<ConfigNode> test)`
Iterate through child nodes with the tag/element name and return the first matching
`void`
ConfigNode.`forEachChild(Function<ConfigNode,Boolean> fun)`
abortable iterate through children
`default ConfigNode`
ConfigNode.`get(String name, Predicate<ConfigNode> test)`
`default List<ConfigNode>`
ConfigNode.`getAll(Set<String> names, Predicate<ConfigNode> test)`
Iterate through child nodes with the names and return all the matching children